petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerStringSPrintf

Prints information to a PetscViewer string.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringSPrintf(PetscViewer viewer,const char format[],...)

Logically Collective on PetscViewer (Hmmm, each processor maintains a separate string) Many br

### Input Parameters

| v | - a string PetscViewer, formed by PetscViewerStringOpen() Many br
| format | - the format of the input Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscViewerStringOpen()

Level:developer
Location:src/sys/classes/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages